Associate Item API

AI Tools

Associate a verification item to the profile


Introduction

Utilize this API to connect a verification item to an already made profile. For the verification to be picked up for processing, this step is necessary.

API Details

Request

Type

URL

PUT

https://api.attestr.com/api/{version}/public/factx/<profileId>/associate

Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v1


String

Authorization

Basic {authToken}

Required

v1


Info

If you do not have the authentication token, please refer to Register App to generate one.

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

asyncRequest

The verification item request id to be linked to the input profile. The asyncRequest is generated when a new verification API such as Education Verification API is invoked.

Required

v1


Sample Request

{ "asyncRequest":"AR0ZoLeBdqvmr-nmy1" }

Response Details

Http Status 200

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4003

Request ID is invalid

400

4005

Operation could not be performed due to low credits balance

400

40018

Invalid profile Id or you do not have access to this record

400

40038

Profile is archived already, operation not allowed

400

40039

Async request type {type} can not be associated to the background check profile

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "code": 4001, "message": "Malformed data or missing required parameter values" }


  Last updated